Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`tap``

module documentation
(source)

Support for creating mail servers with twistd.

Class | `AliasUpdater` | A callable object which updates the aliases for a domain from an aliases(5) file.
Class | `Options` | An options list parser for twistd mail.
Function | `makeService` | Configure a service for operating a mail server.

def makeService(config): (source)

Configure a service for operating a mail server.

The returned service may include POP3 servers, SMTP servers, or both, depending on the configuration passed in. If there are multiple servers, they will share all of their non-network state (i.e. the same user accounts are available on all of them).

Parameters
config:`Options` | Configuration options specifying which servers to include in the returned service and where they should keep mail data.
Returns
`IService` provider | A service which contains the requested mail servers.